D-Bus 1.12.4

Data Fields
DBusAllocatedSlot Struct Reference

An allocated slot for storing data. More...

`#include <dbus-dataslot.h>`

## Data Fields
dbus_int32_t | slot_id
| ID of this slot.
int | refcount
| Number of uses of the slot.

## Detailed Description

An allocated slot for storing data.

Definition at line 46 of file dbus-dataslot.h.

## Field Documentation

## ◆ refcount

int DBusAllocatedSlot::refcount

Number of uses of the slot.

Definition at line 49 of file dbus-dataslot.h.

Referenced by _dbus_data_slot_allocator_alloc(), and _dbus_data_slot_allocator_free().

## ◆ slot_id

dbus_int32_t DBusAllocatedSlot::slot_id

ID of this slot.

Definition at line 48 of file dbus-dataslot.h.

Referenced by _dbus_data_slot_allocator_alloc(), _dbus_data_slot_allocator_free(), _dbus_data_slot_list_get(), and _dbus_data_slot_list_set().

The documentation for this struct was generated from the following file:

- dbus-dataslot.h